Name:           kwizart-release
Version:        9
Release:        1
Summary:        Repository configuration for kwizart

Group:          System Environment/Base
License:        BSD
URL:            http://blog.kwizart.fr/
Source0:        RPM-GPG-KEY-kwizart
Source1:        kwizart.repo
Source2:        kwizart-devel.repo
Source3:        kwizart-testing.repo
Source4:        kwizart-smart-distro.py
Source5:        kwizart-smart-channels.sh
Source6:        kwizart-sources.list
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       fedora-release >= %{version}


%description
The kwizart repository contains open source and other
distributable software for Fedora + Extras + Livna.

the kwizart-testing repository may have replacement packages
from the Fedora official repository.
It should be used with care.

More info are available here: 
http://blog.kwizart.fr

Contact: kwizart [at] gmail [dot] com

%prep
%setup -c -T
install -pm 755 %{SOURCE5} .

%build

%install
rm -rf $RPM_BUILD_ROOT

# common
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-kwizart

# yum
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE3} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# smart
install -Dpm 644 %{SOURCE4} \
    $RPM_BUILD_ROOT%{_sysconfdir}/smart/distro.d/kwizart.py
touch $RPM_BUILD_ROOT%{_sysconfdir}/smart/distro.d/kwizart.py{c,o}

# apt with repomd
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/apt/{gpg,sources.list.d}
install -m 644 -p %{SOURCE6} \
    $RPM_BUILD_ROOT%{_sysconfdir}/apt/sources.list.d/kwizart.list
#ln -s ../../pki/rpm-gpg/RPM-GPG-KEY-kwizart \
#    $RPM_BUILD_ROOT%{_sysconfdir}/apt/gpg/gpg-pubkey-a109b1ec-3f6e28d5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc kwizart-smart-channels.sh
%{_sysconfdir}/pki/rpm-gpg/*
%config %{_sysconfdir}/yum.repos.d/*
%dir %{_sysconfdir}/smart/
%dir %{_sysconfdir}/smart/distro.d/
%config %{_sysconfdir}/smart/distro.d/kwizart.py
%ghost %{_sysconfdir}/smart/distro.d/kwizart.py[co]
%config %{_sysconfdir}/apt/*

%changelog
* Wed May 14 2008 kwizart < kwizart at gmail.com > - 9-1
- Open kwizart repos for Fedora 9

* Mon Feb 18 2008 kwizart < kwizart at gmail.com > - 8-6
- Fix debuginfo path for kwizart and kwizart-testing 

* Thu Feb 14 2008 kwizart < kwizart at gmail.com > - 8-5
- Improve summary

* Mon Feb 11 2008 kwizart < kwizart at gmail.com > - 8-4
- Add rpms.kwizart.net
- Add smart support
- Add development repository

* Sat Nov 10 2007 kwizart < kwizart at gmail.com > - 8-2
- Fix kwizart-testing

* Wed Nov  7 2007 kwizart < kwizart at gmail.com > - 8-1
- Open F8

* Wed May 30 2007 kwizart < kwizart at gmail.com > - 7-1
- Open F7

* Fri Oct 27 2006 kwizart < kwizart at gmail.com > - 6-1.kwizart.fc6
- Open fc6

* Sun Oct 22 2006 kwizart < kwizart at gmail.com > - 5-3_FC5
- Update kwizart.repo with: gpgkey=http://kwizart.free.fr/fedora/RPM-GPG-KEY-kwizart
- Is now 5 because i expect 6+ will use smart and yum.

* Tue Oct 17 2006 kwizart < kwizart at gmail.com > - 1-2_FC5
- Update kwizart.repo info on gpgp key.

* Sat Jul 1 2006 idem
- GPG key support

* Fri Jun 30 2006 kwizart on fedora-france.org
- initial release
